Bug 151820 - KFind crash when clicking "stop" during search
Summary: KFind crash when clicking "stop" during search
Status: RESOLVED FIXED
Alias: None
Product: kfind
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Eric Coquelle
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-03 19:12 UTC by Ondrej Cernos
Modified: 2007-11-11 14:46 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
kfind stop crash fix (372 bytes, patch)
2007-11-10 13:47 UTC, Wouter Becq
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Cernos 2007-11-03 19:12:55 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources
Compiler:          gcc (GCC) 4.1.2 20061115 (prerelease) (SUSE Linux) 
OS:                Linux

kfind crashes when the find is stopped via the "stop" button.

The button has to be clicked twice, the first click is not respected.

To reproduce:

1. run kfind
2. search for some large file set (like *mp3 in big mp3 directory)
3. click "stop"
3a. optionally wait to see the find process did not stop
4. click "stop" - crash
Comment 1 Ondrej Cernos 2007-11-10 12:16:41 UTC
After a week, it seems the point 3a is not true any more - the find stops - but it still crashes when "stop" clicked for the second time. Backtrace follows:

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1240549680 (LWP 20148)]
[KCrash handler]
#9  0x00650073 in ?? ()
#10 0xb7c22b1e in KJob::kill (this=0x8087380, verbosity=KJob::Quietly)
    at /home/kde-devel/kde/src/KDE/kdelibs/kdecore/jobs/kjob.cpp:106
#11 0x0806cd64 in KQuery::kill (this=0x82e1088)
    at /home/kde-devel/kde/src/KDE/kdebase/apps/kfind/kquery.cpp:68
#12 0x0805c8b2 in KfindDlg::stopSearch (this=0xbfc8b834)
    at /home/kde-devel/kde/src/KDE/kdebase/apps/kfind/kfinddlg.cpp:159
#13 0x0805ddb7 in KfindDlg::qt_metacall (this=0xbfc8b834, 
    _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0xbfc89da4)
    at /home/kde-devel/kde/build/KDE/kdebase/apps/kfind/kfinddlg.moc:84
#14 0xb7e7181a in QMetaObject::activate (sender=0xbfc8b834, 
    from_signal_index=39, to_signal_index=39, argv=0x0)
    at kernel/qobject.cpp:3089
#15 0xb7e71c49 in QMetaObject::activate (sender=0xbfc8b834, m=0x8076bc0, 
    local_signal_index=4, argv=0x0) at kernel/qobject.cpp:3151
#16 0xb796f201 in KDialog::user2Clicked (this=0xbfc8b834)
    at /home/kde-devel/kde/build/KDE/kdelibs/kdeui/kdialog.moc:210
#17 0xb7970846 in KDialog::slotButtonClicked (this=0xbfc8b834, button=8192)
    at /home/kde-devel/kde/src/KDE/kdelibs/kdeui/dialogs/kdialog.cpp:893
#18 0xb79730c2 in KDialog::qt_metacall (this=0xbfc8b834, 
    _c=QMetaObject::InvokeMetaMethod, _id=32, _a=0xbfc8a39c)
    at /home/kde-devel/kde/build/KDE/kdelibs/kdeui/kdialog.moc:175
#19 0x0805dd22 in KfindDlg::qt_metacall (this=0xbfc8b834, 
    _c=QMetaObject::InvokeMetaMethod, _id=67, _a=0xbfc8a39c)
    at /home/kde-devel/kde/build/KDE/kdebase/apps/kfind/kfinddlg.moc:76
#20 0xb7e7181a in QMetaObject::activate (sender=0x8138b10, 
    from_signal_index=4, to_signal_index=4, argv=0xbfc8a39c)
    at kernel/qobject.cpp:3089
#21 0xb7e71c49 in QMetaObject::activate (sender=0x8138b10, m=0xb7ee3ad8, 
    local_signal_index=0, argv=0xbfc8a39c) at kernel/qobject.cpp:3151
#22 0xb7e793ac in QSignalMapper::mapped (this=0x8138b10, _t1=8192)
    at .moc/debug-shared/moc_qsignalmapper.cpp:92
#23 0xb7e7948f in QSignalMapper::map (this=0x8138b10, sender=0x8139268)
    at kernel/qsignalmapper.cpp:274
#24 0xb7e79590 in QSignalMapper::map (this=0x8138b10)
    at kernel/qsignalmapper.cpp:265
#25 0xb7e796f3 in QSignalMapper::qt_metacall (this=0x8138b10, 
    _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0xbfc8a91c)
    at .moc/debug-shared/moc_qsignalmapper.cpp:79
#26 0xb7e7181a in QMetaObject::activate (sender=0x8139268, 
    from_signal_index=29, to_signal_index=30, argv=0xbfc8a91c)
    at kernel/qobject.cpp:3089
#27 0xb7e719d0 in QMetaObject::activate (sender=0x8139268, m=0xb6f0fe24, 
    from_local_signal_index=2, to_local_signal_index=3, argv=0xbfc8a91c)
    at kernel/qobject.cpp:3171
#28 0xb6e58f00 in QAbstractButton::clicked (this=0x8139268, _t1=false)
    at .moc/debug-shared/moc_qabstractbutton.cpp:180
#29 0xb6c02620 in QAbstractButtonPrivate::emitClicked (this=0x813a0a8)
    at widgets/qabstractbutton.cpp:532
#30 0xb6c03a29 in QAbstractButtonPrivate::click (this=0x813a0a8)
    at widgets/qabstractbutton.cpp:525
#31 0xb6c03cce in QAbstractButton::mouseReleaseEvent (this=0x8139268, 
    e=0xbfc8b108) at widgets/qabstractbutton.cpp:1102
#32 0xb690b151 in QWidget::event (this=0x8139268, event=0xbfc8b108)
    at kernel/qwidget.cpp:6129
#33 0xb6c025ba in QAbstractButton::event (this=0x8139268, e=0xbfc8b108)
    at widgets/qabstractbutton.cpp:1064
#34 0xb6ca9c91 in QPushButton::event (this=0x8139268, e=0xbfc8b108)
    at widgets/qpushbutton.cpp:667
#35 0xb68b9485 in QApplicationPrivate::notify_helper (this=0x8085808, 
    receiver=0x8139268, e=0xbfc8b108) at kernel/qapplication.cpp:3558
#36 0xb68ba05f in QApplication::notify (this=0xbfc8b870, receiver=0x8139268, 
    e=0xbfc8b108) at kernel/qapplication.cpp:3257
#37 0xb79fb089 in KApplication::notify (this=0xbfc8b870, receiver=0x8139268, 
    event=0xbfc8b108)
    at /home/kde-devel/kde/src/KDE/kdelibs/kdeui/kernel/kapplication.cpp:319
#38 0xb7e603a2 in QCoreApplication::notifyInternal (this=0xbfc8b870, 
    receiver=0x8139268, event=0xbfc8b108) at kernel/qcoreapplication.cpp:532
#39 0xb68c492f in QCoreApplication::sendSpontaneousEvent (receiver=0x8139268, 
    event=0xbfc8b108)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:205
#40 0xb69257aa in QETWidget::translateMouseEvent (this=0x8139268, 
    event=0xbfc8b590) at kernel/qapplication_x11.cpp:3871
#41 0xb69234c2 in QApplication::x11ProcessEvent (this=0xbfc8b870, 
    event=0xbfc8b590) at kernel/qapplication_x11.cpp:2922
#42 0xb694fe62 in x11EventSourceDispatch (s=0x8088878, callback=0, 
    user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:137
#43 0xb63aade2 in g_main_context_dispatch ()
   from /opt/gnome/lib/libglib-2.0.so.0
#44 0xb63ade1f in g_main_context_prepare ()
   from /opt/gnome/lib/libglib-2.0.so.0
#45 0xb63ae385 in g_main_context_iteration ()
   from /opt/gnome/lib/libglib-2.0.so.0
#46 0xb7e89110 in QEventDispatcherGlib::processEvents (this=0x8085688, 
    flags=@0xbfc8b738) at kernel/qeventdispatcher_glib.cpp:340
#47 0xb694f718 in QGuiEventDispatcherGlib::processEvents (this=0x8085688, 
    flags=@0xbfc8b76c) at kernel/qguieventdispatcher_glib.cpp:193
#48 0xb7e5d32a in QEventLoop::processEvents (this=0xbfc8b7dc, 
    flags=@0xbfc8b7a4) at kernel/qeventloop.cpp:142
#49 0xb7e5d4ac in QEventLoop::exec (this=0xbfc8b7dc, flags=@0xbfc8b7e4)
    at kernel/qeventloop.cpp:184
#50 0xb6d205af in QDialog::exec (this=0xbfc8b834) at dialogs/qdialog.cpp:427
#51 0x0805f1ff in main (argc=1, argv=0xbfc8ba74)
    at /home/kde-devel/kde/src/KDE/kdebase/apps/kfind/main.cpp:56
#0  0xb7ee8410 in ?? ()
Comment 2 Anne-Marie Mahfouf 2007-11-10 12:36:55 UTC
Confirming bug. This is KDE 4 by the way!
Same backtrace when hitting Stop.
Comment 3 Wouter Becq 2007-11-10 13:47:39 UTC
Created attachment 22025 [details]
kfind stop crash fix
Comment 4 Anne-Marie Mahfouf 2007-11-10 14:30:26 UTC
SVN commit 734915 by annma:

Krush day bug fix from Terwou, first KDE patch, congrats!
BUG=151820


 M  +1 -1      kquery.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=734915
Comment 5 Ondrej Cernos 2007-11-11 14:46:25 UTC
beautiful patch, thanks :)